unit Unit1;

//Programme par Yoann
//http://delphipage.free.fr/

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TForm1 = class(TForm)
    GroupBox1: TGroupBox;
    Button2: TButton;
    Edit2: TEdit;
    Button3: TButton;
    Edit3: TEdit;
    Button4: TButton;
    Memo1: TMemo;
    GroupBox2: TGroupBox;
    Label1: TLabel;
    Edit1: TEdit;
    Button1: TButton;
    Button5: TButton;
    Memo2: TMemo;
    Edit4: TEdit;
    Label4: TLabel;
    Button6: TButton;
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button6Click(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button2Click(Sender: TObject);
Var F: TextFile;
    Stg:String;
begin
//Lire la premiere ligne
AssignFile(F,ExtractFilePath(Application.ExeName)+'test.txt'); //Associe la variable F au fichier texte
Reset(F); //Ouvre le fichier sans le modifier
Readln(F,Stg); //Lit une ligne du fichier texte jusqu'au prochain sut de ligne
Edit2.Text:=Stg; //Affiche dans Edit2 le contenu de la variable Stg
CloseFile(F); //Ferme l'association entre la variable F et le fichier texte
end;

procedure TForm1.Button3Click(Sender: TObject);
Var F: TextFile;
    Stg:String;
begin
//Lire la deuxime ligne
AssignFile(F,ExtractFilePath(Application.ExeName)+'test.txt');
Reset(F);
Readln(F); //Met la position en cours du fichier au dbut de la ligne suivante
Readln(F,Stg); //Lit la ligne en cours,c'est &agrave; dire la deuxi&egrave;me ligne</font></font>
{si vous voulez lire la troisieme ligne alors il faut mettre deux fois Readln(F) puis Readln(F,Stg)}
Edit3.Text:=Stg; //Affiche dans Edit3 le contenu de la variable Stg
CloseFile(F);
end;

procedure TForm1.Button4Click(Sender: TObject);
Var F: TextFile;
    Stg:String;
begin
//Lire le contenu du fichier
Memo1.Clear; //Efface le contenu de Memo1
AssignFile(F,ExtractFilePath(Application.ExeName)+'test.txt');
Reset(F);
repeat    //Repeter...
Readln(F,Stg); //Lit une ligne du fichier texte jusqu'au prochain sut de ligne
Memo1.Lines.Add(Stg); //Affiche dans Memo1 le contenu de la variable Stg
until EOF(F);// ...jusqu' ce que la position en cours du pointeur se trouve en fin de fichier
CloseFile(F);
end;

procedure TForm1.Button5Click(Sender: TObject);
Var F: TextFile;
    Stg:String;
begin
//Lire le fichier si il existe avec {$I-} et {$I+}
{Cela permet d'eviter un message d'erreur et de ne pas essayer de le manipuler si le fichier n'existe pas}
AssignFile(F,ExtractFilePath(Application.ExeName)+'test.txt');
{$I-} //La vrification d'E/S est dsactive
Reset(F);
{$I+} //La vrification d'E/S est active
if IoResult=0 then //Renvoie l'tat de la dernire opration d'E/S
begin
repeat
Readln(F,Stg);
Memo2.Lines.Add(Stg); //Affiche dans Memo2 le contenu de la variable Stg
until Eof(F);
CloseFile(F);
end;
end;

procedure TForm1.Button1Click(Sender: TObject);
Var F: TextFile;
    Stg:String;
begin
//Effacer le fichier et ecrire
Stg:=Edit1.Text; //Recupere dans la variable Stg le contenu de Edit1
AssignFile(F,ExtractFilePath(Application.ExeName)+'test.txt');
Rewrite(F); //Cre puis ouvre un nouveau fichier
Writeln(F,Stg); //Writeln crit une marque fin de ligne
CloseFile(F);
end;

procedure TForm1.Button6Click(Sender: TObject);
Var F: TextFile;
    Stg:String;
begin
//Insrer une ligne a la fin du fichier texte
Stg:=Edit4.Text; //Recupere dans la variable Stg le contenu de Edit4
AssignFile(F,ExtractFilePath(Application.ExeName)+'test.txt');
Append(F); //Prpare un fichier existant pour l'ajout de texte
Writeln(F,Stg); //Writeln place une marque en fin de ligne
CloseFile(F);
end;

end.
